Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.graph.session
Class GraphSession.NoOpAuthorizer

    java.lang.Object
      org.modeshape.graph.session.GraphSession.NoOpAuthorizer

All Implemented Interfaces:
  GraphSession.Authorizer

Enclosing class:
  GraphSession<Payload,PropertyPayload>

    @ThreadSafe
    protected static class GraphSession.NoOpAuthorizer

extends Object
implements GraphSession.Authorizer

`GraphSession.Authorizer` implementation that does nothing.

Nested Class Summary

Nested classes/interfaces inherited from interface org.modeshape.graph.session.GraphSession.Authorizer
`GraphSession.Authorizer.Action`

Constructor Summary
`protected` | `GraphSession.NoOpAuthorizer()`

Method Summary
`void` | `checkPermissions(Path path, GraphSession.Authorizer.Action action)` Throws an `AccessControlException` if the current user is not able to perform the action on the node at the supplied path in the current workspace.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GraphSession.NoOpAuthorizer

    protected GraphSession.NoOpAuthorizer()

Method Detail

### checkPermissions

    public void checkPermissions(Path path,
                                 GraphSession.Authorizer.Action action)
                          throws AccessControlException

  Throws an `AccessControlException` if the current user is not able to perform the action on the node at the supplied path in the current workspace.

  Specified by:
    `checkPermissions` in interface `GraphSession.Authorizer`
  Parameters:
    `path` - the path on which the actions are occurring
    `action` - the action to check
  Throws:
    `AccessControlException` - if the user does not have permission to perform the actions
  See Also:
    `GraphSession.Authorizer.checkPermissions(org.modeshape.graph.property.Path, org.modeshape.graph.session.GraphSession.Authorizer.Action)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2011 JBoss, a division of Red Hat. All Rights Reserved.